Skip to main content
POST
/
reports
/
list
List reports with filtering and pagination
curl --request POST \
  --url https://api.artu.ai/reports/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "filter": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "contentHash": "<string>",
    "referenceNumber": "<string>",
    "name": "<string>",
    "isCurrent": true,
    "sequence": 123,
    "size": 123,
    "generatedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "sort": [
    {}
  ],
  "cursor": "<string>",
  "offset": 4503599627370495,
  "limit": 20,
  "includeTotalCount": true
}
'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contentHash": "<string>",
      "filename": "<string>",
      "contentType": "<string>",
      "size": 0,
      "sequence": 0,
      "totalParts": 0,
      "isCurrent": true,
      "generatedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "referenceNumber": "<string>",
      "name": "<string>",
      "tags": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "color": "<string>"
        }
      ]
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>",
    "totalCount": 0
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json
filter
object
sort
object[]
cursor
string
offset
integer
Required range: 0 <= x <= 9007199254740991
limit
integer
default:20
Required range: 1 <= x <= 200
includeTotalCount
boolean

Response

200 - application/json

OK

data
object[]
required
pagination
object
required